import { BaseComponent } from '../../common/BaseComponent';
import { IImageProps } from './Image.Props';
import './Image.scss';
export interface IImageState {
    loadState?: ImageLoadState;
}
export declare enum CoverStyle {
    landscape = 0,
    portrait = 1,
}
export declare const CoverStyleMap: {
    [x: number]: string;
};
export declare const ImageFitMap: {
    [x: number]: string;
};
export declare enum ImageLoadState {
    notLoaded = 0,
    loaded = 1,
    error = 2,
    errorLoaded = 3,
}
export declare class Image extends BaseComponent<IImageProps, IImageState> {
    static defaultProps: {
        shouldFadeIn: boolean;
    };
    private _coverStyle;
    private _imageElement;
    private _frameElement;
    constructor(props: IImageProps);
    componentDidMount(): void;
    componentWillReceiveProps(nextProps: IImageProps): void;
    render(): JSX.Element;
    private _evaluateImage();
    private _computeCoverStyle(props);
    private _setError();
}
